## nm-initrd-generator nm-initrd-generator — early boot NetworkManager configuration generator |

## Synopsis

`nm-initrd-generator` [`OPTIONS`...] -- [`CMDLINE`...]

## Description

nm-initrd-generator scans the command line for options relevant to network configuration and creates configuration files for an early instance of NetworkManager run from the initial ramdisk during early boot.

## Options

`-c` | `--connections-dir` `path` | Output connection directory.
`-d` | `--sysfs-dir` `path` | The sysfs mount point.
`-s` | `--stdout` | Dump connections to standard output. Useful for debugging.
`CMDLINE` | The options that appear on the kernel command line. The following options are recognized:
`ip`
`rd.route`
`bridge`
`bond`
`team`
`vlan`
`bootdev`
`nameserver`
`rd.peerdns`
`rd.bootif`
`BOOTIF`
Please consult the dracut.cmdline(7) manual for the documentation of the precise format of the values supported.

## Exit Status

nm-initrd-generator exits with status 0. It ignores unrecognized options and prints an error message if it encounters a malformed option.

## See Also

dracut.cmdline(7), NetworkManager(8).